# TCLAP::ArgParseException Class Reference

Thrown from within the child Arg classes when it fails to properly parse the argument it has been passed. More...

`#include <ArgException.h>`

Inheritance diagram for TCLAP::ArgParseException:

List of all members.

## Public Member Functions
| ArgParseException (const std::string &text="undefined exception", const std::string &id="undefined")
| Constructor.

## Detailed Description

Thrown from within the child Arg classes when it fails to properly parse the argument it has been passed.

Definition at line 121 of file ArgException.h.

## Constructor & Destructor Documentation

TCLAP::ArgParseException::ArgParseException | ( | const std::string & | text = `"undefined exception"`,
|  | const std::string & | id = `"undefined"` |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | text | - The text of the exception.
  | id | - The text identifying the argument source of the exception.

Definition at line 130 of file ArgException.h.

The documentation for this class was generated from the following file:

- ArgException.h